package com.huimv.eartag.controller;


import com.huimv.common.utils.Result;
import com.huimv.eartag.service.IEartagDataService;
import com.huimv.eartag.service.IFeedEartagFlowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2022-06-01
 */
@RestController
@RequestMapping("/eartagData")
public class EartagDataController {
    @Autowired
    IEartagDataService eartagDataService;

    @GetMapping("/getTemp")
    public Result getTemp(@RequestParam(name = "earmark" ,required = false) String earmark) {
        return eartagDataService.getTemp(earmark);
    }

    @GetMapping("/getAct")
    public Result getAct(@RequestParam(name = "earmark" ,required = false) String earmark) {
        return eartagDataService.getAct(earmark);
    }
}
