package com.huimv.produce.produce.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.huimv.produce.produce.entity.ProdWorkPlan;
import com.huimv.produce.produce.entity.dto.ProdScreenDto;
import com.huimv.produce.produce.entity.dto.ScreenWorkPlan;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-25
 */
@Repository
public interface ProdWorkPlanMapper extends BaseMapper<ProdWorkPlan> {

    ProdScreenDto listLargeScreen(@Param("farmId") Integer farmId);

    ScreenWorkPlan listScreenWorkPlan(@Param("farmId") Integer farmId);
}
