package com.huimv.produce.warning.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
public class SysThreshold extends Model {

    private static final long serialVersionUID = 1L;

    @TableId(value = "farm_id")
    private Integer farmId;

    /**
     * 高温
     */
    private String maxTem;

    /**
     * 低温
     */
    private String minTem;

    /**
     * 高湿度
     */
    private String maxHum;

    /**
     * 低湿度
     */
    private String minHum;

    /**
     * 累计流量
     */
    private String totalFlow;

    /**
     * 化学需氧量
     */
    @TableField("COD")
    private String COD;

    /**
     * 氨氮
     */
    private String ammonia;

    /**
     * 氮
     */
    private String nitrogen;

    /**
     * 磷
     */
    private String phosphorus;


    /**
     * ph
     */
    private String ph;


     /**
     * 瞬时流量
     */
    private String flow;

    /**
     * 天气高温阈值
     */
    private String weatherMaxTem;


    /**
     * 天气低温阈值
     */
    private String weatherMinTem;

    private String benconValue;

    private String benconTime;


}
