package com.huimv.receiver.eco.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.huimv.receiver.eco.entity.SysHumidity;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author astupidcoder
 * @since 2021-11-11
 */
@Repository
public interface SysHumidityMapper extends BaseMapper<SysHumidity> {

    List<SysHumidity> listDay(@Param(Constants.WRAPPER) QueryWrapper<SysHumidity> humidityWrapper);
}
